<script setup lang="ts">
  import type { CmsBlockImageGallery } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageGallery;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const cmsContent = getSlotContent('imageGallery');
</script>

<template>
  <div>
    <CmsGenericElement :content="cmsContent" />
  </div>
</template>
